package com.s3ai.controllers.tickets;

import com.s3ai.entities.Ticket;
import com.s3ai.services.TicketService;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.UUID;

public class TicketsList extends HttpServlet {
    private TicketService ticketService = TicketService.getInstance();

    protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
        String id = request.getReader().readLine();
        Ticket ticket = ticketService.getTicketById(UUID.fromString(id));
        ticketService.deleteTicket(ticket);
    }

    protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
        System.out.println("doGet");
        RequestDispatcher dispatcher = request.getRequestDispatcher("pages/tickets/list.jsp");
        request.getSession().setAttribute("tickets", ticketService.getAllTickets());
        dispatcher.forward(request, response);
    }
}
